//sortie PWM sur OCR2A D11 CH2 et OCR2B D3 CH1
//DTMF
//Fech sur D2
//10K*2+100nf

#include "Dds.h"

Dds dds;

int tonesLignes[4] = {1209, 1336, 1477, 1633};
int tonesColonnes[4] = {697, 770, 852, 941};

byte dtmf[16][2] = {{1, 3}, //0
  {0, 0}, //1
  {1, 0}, //2
  {2, 0}, //3
  {0, 1}, //4
  {1, 1}, //5
  {2, 1}, //6
  {0, 2}, //7
  {1, 2}, //8
  {2, 2}, //9
  {3, 0}, //A 10
  {3, 1}, //B 11
  {3, 2}, //C 12
  {3, 3}, //D 13
  {0, 3}, //* 14
  {2, 3} //#  15
};


int main(void)
{
  int ligne, colonne;

  Serial.begin(115200);

  ligne = dtmf[6][0];
  colonne = dtmf[6][1];
  Serial.println(ligne);
  Serial.println(colonne);
  Serial.println(tonesLignes[ligne]);
  Serial.println(tonesColonnes[colonne]);

  dds.begin();
  dds.start();

  while (true) {
    dds.setFrequency(tonesLignes[ligne], tonesColonnes[colonne]);
    dds.delay(1000);
    dds.setFrequency(0, 0);
    dds.delay(1000);

  }
}
